export declare const stringifyReduce: (val: any, isArrayProp?: boolean) => string;
export declare const stringifyReduceLimit: (val: any, limit?: number, isArrayProp?: boolean) => string;
export declare const replacer: <T>(_key: any, value: T) => T | {
    dataType: 'stringifyReduce_map_2_array';
    value: [symbol, unknown][];
};
export declare const reviver: <T, K, V>(_key: any, value: T | {
    dataType: 'stringifyReduce_map_2_array';
    value: [K, V][];
}) => T | Map<K, V>;
export declare const reviverExpander: <T, K, V>(_key: any, value: T | {
    dataType: 'stringifyReduce_map_2_array';
    value: [K, V][];
}) => string | T | Map<K, V>;
export declare const reviverMemoize: <T, K, V>(_key: any, value: T | {
    dataType: 'stringifyReduce_map_2_array';
    value: [K, V][];
}) => T | Map<K, V>;
export declare const debugReplacer: <T>(key: string, value: T) => string | T | {
    dataType: 'stringifyReduce_map_2_array';
    value: [symbol, unknown][];
} | Record<string, never>;
export declare const debugReviver: <T, K, V>(_key: any, value: T | {
    dataType: 'stringifyReduce_map_2_array';
    value: [K, V][];
}) => T | Map<K, V>;
